/*
 * DspLib.h
 *
 * Sert a controler la carte son
 * par l'intermediaire de OSS
 *
 */

#ifndef _DSPDRIVER_H
#define _DSPDRIVER_H

// Squence d'initialisation 
int dsp_init(int dsp_file,int resolution, int channels, int rate);

// Initialisation du dsp en ecriture
int dsp_init_for_play(char *dsp_device,int resolution, int chanels, int rate);
int dsp_init_for_rec_and_play(char *dsp_device,int resolution, int chanels, 
			      int rate);

int dsp_stop(
	     int /* descripteur */
	     );

// Initialisation du dsp en lecture
int dsp_init_for_record(char *dsp_device,
			int resolution, 
			int chanels, 
			int rate);

// Pour 'fermer' la carte son
int dsp_close(int dsp_file);

#endif

