/*
** Parse_Loader_Conf.h for Gmurf in ~/Gmurf/Charge_Sound/
** 
** Made by 
** Login   <ahes@ker-ys.epita.fr>
** 
** Started on  Fri Mar  5 14:47:46 1999 
** Last update Sun Mar  7 23:04:42 1999 
*/
#ifndef __PARSE_FILTER_CONF_H
#define __PARSE_FILTER_CONF_H

typedef struct s_filter
{
  char			*name;
  char			*path;
  struct s_filter	*next;
} t_filter;

typedef struct s_category
{
  int			nb_filters;
  char			*name;
  t_filter		*filter;
  struct s_category	*next;
} t_category;

typedef struct s_filters
{
  int		nb_category;
  t_category	*category;
} t_filters;

t_filters *get_filter_path(	/* obtient la liste des filtres sonores et le chemin de leur executable */
	char*			/* fichier contenant les informations recherchees */  
);

#endif /* __PARSE_FILTER_CONF_H */



