/*
** PlayTempFile.h for Gmurf in ~/Gmurf/TempFile/
** 
** Made by 
** Login   <ahes@ker-ys.epita.fr>
** 
** Started on  Fri Mar  5 19:19:28 1999 
** Last update Thu Mar 18 16:27:20 1999 Rmi Coupet
*/

/* This lib contain the function to play temp file with Gmurf */
#ifndef __PLAYTEMPFILE_H
#define __PLAYTEMPFILE_H

#include <unistd.h>
#include "playmode.h"
#include <gui.h>
#include <wavwindow.h>
#include <Select.h>

int play_temp_file(	/* play a temp file */          
	int,			/* file descriptor */                      
	int,			/* file descriptor of the dsp */              
	off_t,			/* start position */                       
	off_t,			/* length to play  */                   
	t_playmode *,		/* kind of play */                     
	Wavwin *,		/* WAV EDITOR Object */
	t_select *		/* the selection */
);


#endif /* __PLAYTEMPFILE_H */
